Bug 1455317 - cjdroute and others fail to call sodium_init()
Summary: cjdroute and others fail to call sodium_init()
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: cjdns
Version: 25
Hardware: All
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Stuart D Gathman
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-05-24 18:51 UTC by Stuart D Gathman
Modified: 2017-06-21 07:46 UTC (History)
1 user (show)

Fixed In Version: cjdns-19.1-4.fc26 cjdns-19.1-4.el7 cjdns-19.1-4.fc24 cjdns-19.1-4.fc25 cjdns-19.1-4.el6
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-06-11 16:16:03 UTC


Attachments (Terms of Use)

Description Stuart D Gathman 2017-05-24 18:51:15 UTC
Description of problem:
sodium_init() is not called

Version-Release number of selected component (if applicable):
cjdns-19.1-3

How reproducible:
always

Steps to Reproduce:
1.
2.
3.

Actual results:
nothing visible

Expected results:
possibly slightly better performance

Additional info:
My research indicates that nothing really critical happens in sodium_init() for our use case.  It seeds crypto random numbers, but cjdns doesn't trust nacl/sodium for that anyway and does its own seeding.  It sets up machinery for locked memory and other enhanced security, but cjdns does not use that API.  It also dynamically selects optimized versions of performance critical functions depending on detected runtime environment - that could improve performance.

Most importantly, we should call it because it is part of the libsodium API, and may become critically important in the future.

Comment 1 Stuart D Gathman 2017-05-24 22:53:04 UTC
Files patched to call sodium_init() beginning with 19.1-4:

contrib/c/privatetopublic.c
contrib/c/sybilsim.c
contrib/c/mkpasswd.c
contrib/c/makekeys.c
contrib/c/publictoip6.c
test/testcjdroute.c
crypto/random/randombytes.c
client/cjdroute2.c

Comment 2 Fedora Update System 2017-05-25 00:02:14 UTC
cjdns-19.1-4.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-5365dba65b

Comment 3 Fedora Update System 2017-05-25 00:02:21 UTC
cjdns-19.1-4.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2017-c2b91fa3bb

Comment 4 Fedora Update System 2017-05-25 00:02:25 UTC
cjdns-19.1-4.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-3bb737169f

Comment 5 Fedora Update System 2017-05-25 02:36:05 UTC
cjdns-19.1-4.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-39be513ab9

Comment 6 Fedora Update System 2017-05-25 19:21:57 UTC
cjdns-19.1-4.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-5365dba65b

Comment 7 Fedora Update System 2017-05-26 04:26:52 UTC
cjdns-19.1-4.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-39be513ab9

Comment 8 Fedora Update System 2017-05-26 06:00:27 UTC
cjdns-19.1-4.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-c2b91fa3bb

Comment 9 Fedora Update System 2017-05-26 06:03:26 UTC
cjdns-19.1-4.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-3bb737169f

Comment 10 Fedora Update System 2017-06-03 19:04:57 UTC
cjdns-19.1-4.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-ba7ee1f0a5

Comment 11 Fedora Update System 2017-06-05 03:49:04 UTC
cjdns-19.1-4.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-ba7ee1f0a5

Comment 12 Fedora Update System 2017-06-11 16:16:03 UTC
cjdns-19.1-4.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2017-06-11 18:24:08 UTC
cjdns-19.1-4.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Comment 14 Fedora Update System 2017-06-11 21:51:20 UTC
cjdns-19.1-4.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 15 Fedora Update System 2017-06-11 23:32:26 UTC
cjdns-19.1-4.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 16 Fedora Update System 2017-06-21 07:46:55 UTC
cjdns-19.1-4.el6 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.